<form [formGroup]="bilancioForm" novalidate>
    <mat-card>
        <mat-card-header>
            <mat-card-title>Nuovo record</mat-card-title>
            <mat-card-subtitle>{{currentYear}}</mat-card-subtitle>
        </mat-card-header>
        <mat-card-content>
            <div class="field-wrapper">
                <mat-form-field>
                    <input type="text" matInput [matDatepicker]="insertPicker"
                           [matDatepickerFilter]="dateFilter"
                           formControlName="data_inserimento" placeholder="Data inserimento" required>
                    <mat-datepicker-toggle matSuffix [for]="insertPicker"></mat-datepicker-toggle>
                    <mat-datepicker #insertPicker [touchUi]="mediaService.match('(max-width: 768px)')"></mat-datepicker>
                    <mat-error *ngIf="bilancioForm.controls['data_inserimento'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input matInput type="text" placeholder="Effettuato da" formControlName="effettuato_da">
                    <mat-error *ngIf="bilancioForm.controls['effettuato_da'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input matInput type="text" placeholder="Entrata" formControlName="entrata">
                    <span matSuffix>€</span>
                    <mat-error *ngIf="bilancioForm.controls['entrata'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input matInput type="text" placeholder="Uscita" formControlName="uscita">
                    <span matSuffix>€</span>
                    <mat-error *ngIf="bilancioForm.controls['uscita'].invalid">Richiesto</mat-error>
                </mat-form-field>
                <mat-form-field style="width: 100%;">
                    <textarea matInput placeholder="Causale" formControlName="causale"></textarea>
                    <mat-error *ngIf="bilancioForm.controls['causale'].invalid">Richiesto</mat-error>
                </mat-form-field>
            </div>
        </mat-card-content>
        <mat-card-actions>
            <div class="actions-wrapper">
                <mat-checkbox formControlName="controllo" value="1" color="primary">Controllo</mat-checkbox>
                <button style="margin-left: auto;" mat-raised-button color="accent" (click)="createBilancio()">Salva</button>
            </div>
        </mat-card-actions>
    </mat-card>
</form>